<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<style type="text/css"> /* <![CDATA[ */
  @import "branding/css/tigris.css";
  @import "branding/css/inst.css";
  /* ]]> */</style>
<link rel="stylesheet" type="text/css" media="print"
  href="branding/css/print.css"/>
<script type="text/javascript" src="branding/scripts/tigris.js"></script>
<title>Subversion FAQ Redirect Page</title>
</head>

<body>
<div class="app">

<h2 style="text-align: center">Subversion FAQ Redirect Page</h2>

<p>The Subversion FAQ has moved to <a href="faq.html">faq.html</a>.</p>

<p>This page exists only to provide redirects for entries that already
existed when the FAQ was renamed.  Each entry is redirected
individually&nbsp;&mdash;&nbsp;doing a "META" redirect on the page as
a whole wouldn't work, because this server strips the relevant header.</p>

<hr/>

<ul>
<li><p><a name="why">Why does this project exist?</a><br/>
    The FAQ has moved, please see <a href="faq.html#why">faq.html#why</a>.</p>
</li>
<li><p><a name="collab">Is Subversion proprietary?  I heard that it
belongs to CollabNet.</a><br/>
    The FAQ has moved, please see <a href="faq.html#collab">faq.html#collab</a>.</p>
</li>
<li><p><a name="stable">Is Subversion stable enough for me to use for my
own projects?</a><br/>
    The FAQ has moved, please see <a href="faq.html#stable">faq.html#stable</a>.</p>
</li>
<li><p><a name="interop">What is Subversion's client/server
    interoperability policy?</a><br/>
    The FAQ has moved, please see <a href="faq.html#interop">faq.html#interop</a>.</p>
</li>
<li><p><a name="portability">What operating systems does Subversion run
    on?</a><br/>
    The FAQ has moved, please see <a href="faq.html#portability">faq.html#portability</a>.</p>
</li>
<li><p><a name="filesystem">What's all this about a new filesystem?  Is
it like ext2?</a><br/>
    The FAQ has moved, please see <a href="faq.html#filesystem">faq.html#filesystem</a>.</p>
</li>
<li><p><a name="apache-extension">I heard that Subversion is an Apache
extension?  What does it use for servers?</a><br/>
    The FAQ has moved, please see <a href="faq.html#apache-extension">faq.html#apache-extension</a>.</p>
</li>
<li><p><a name="need-apache">Does this mean I have to set up Apache to
use Subversion?</a><br/>
    The FAQ has moved, please see <a href="faq.html#need-apache">faq.html#need-apache</a>.</p>
</li>
<li><p><a name="multiple-apachim">I run Apache 1.x right now, and can't
switch to Apache 2.0 just to serve Subversion repositories.
Does that mean I can't run a Subversion server?</a><br/>
    The FAQ has moved, please see <a href="faq.html#multiple-apachim">faq.html#multiple-apachim</a>.</p>
</li>
<li><p><a name="feature-x">Why don't you do X, just like SCM system Y?</a><br/>
    The FAQ has moved, please see <a href="faq.html#feature-x">faq.html#feature-x</a>.</p>
</li>
<li><p><a name="globalrev">Why does the entire repository share the 
    same revision number? I want each of my projects to have their
    own revision numbers.</a><br/>
    The FAQ has moved, please see <a href="faq.html#globalrev">faq.html#globalrev</a>.</p>
</li>
<li><p><a name="changesets">Does Subversion have Changesets?</a><br/>
    The FAQ has moved, please see <a href="faq.html#changesets">faq.html#changesets</a>.</p>
</li>
<li><p><a name="release">When's the next release?</a><br/>
    The FAQ has moved, please see <a href="faq.html#release">faq.html#release</a>.</p>
</li>
<li><p><a name="symlinks">Does Subversion support symlinks?</a><br/>
    The FAQ has moved, please see <a href="faq.html#symlinks">faq.html#symlinks</a>.</p>
</li>
<li><p><a name="logo">I need a high resolution version of the Subversion logo,
    where can I get it?</a><br/>
    The FAQ has moved, please see <a href="faq.html#logo">faq.html#logo</a>.</p>
</li>
<li><p>I have other questions.  Where can I get more<a
name="more-information"> information?</a><br/>
    The FAQ has moved, please see <a href="faq.html#xxxxx">faq.html#xxxxx</a>.</p>
</li>
<li><p><a name="co-svn">How do I check out the Subversion code?</a><br/>
    The FAQ has moved, please see <a href="faq.html#co-svn">faq.html#co-svn</a>.</p>
</li>
<li><p><a name="repository">How do I create a repository?  How do I
import data into it?</a><br/>
    The FAQ has moved, please see <a href="faq.html#repository">faq.html#repository</a>.</p>
</li>
<li><p><a name="cvs2svn">How do I convert an existing CVS repository
    into a Subversion repository?</a><br/>
    The FAQ has moved, please see <a href="faq.html#cvs2svn">faq.html#cvs2svn</a>.</p>
</li>
<li><p><a name="proxy">What if I'm behind a proxy?</a><br/>
    The FAQ has moved, please see <a href="faq.html#proxy">faq.html#proxy</a>.</p>
</li>
<li><p><a name="paranoid">My admins don't want me to have a HTTP server for
    Subversion.  What can I do if I still want remote usage?</a><br/>
    The FAQ has moved, please see <a href="faq.html#paranoid">faq.html#paranoid</a>.</p>
</li>
<li><p><a name="multi-proj">How do I manage several different projects under Subversion?</a><br/>
    The FAQ has moved, please see <a href="faq.html#multi-proj">faq.html#multi-proj</a>.</p>
</li>
<li><p><a name="multi-merge">How do I merge two completely separate repositories?</a><br/>
    The FAQ has moved, please see <a href="faq.html#multi-merge">faq.html#multi-merge</a>.</p>
</li>
<li><p><a name="nfs">Should I store my repository / working copy on a NFS
server?</a><br/>
    The FAQ has moved, please see <a href="faq.html#nfs">faq.html#nfs</a>.</p>
</li>
<li><p><a name="bdblogs">Why is my repository taking up so much disk space?</a><br/>
    The FAQ has moved, please see <a href="faq.html#bdblogs">faq.html#bdblogs</a>.</p>
</li>
<li><p><a name="reposperms">How do I set repository
permissions correctly?</a><br/>
    The FAQ has moved, please see <a href="faq.html#reposperms">faq.html#reposperms</a>.</p>
</li>
<li><p><a name="readonly">Why do read-only operations still need repository
write access?</a><br/>
    The FAQ has moved, please see <a href="faq.html#readonly">faq.html#readonly</a>.</p>
</li>
<li><p><a name="removal">
How do I completely remove a file from the repository's history?
</a><br/>
    The FAQ has moved, please see <a href="faq.html#removal">faq.html#removal</a>.</p>
</li>
<li><p><a name="change-log-msg">
How do I change the log message for a revision after it's been committed?
</a><br/>
    The FAQ has moved, please see <a href="faq.html#change-log-msg">faq.html#change-log-msg</a>.</p>
</li>
<li><p><a name="patch">How do I submit a patch for Subversion?</a><br/>
    The FAQ has moved, please see <a href="faq.html#patch">faq.html#patch</a>.</p>
</li>
<li><p><a name="in-place-import">How can I do an in-place 'import'
    (i.e. add a tree of unversioned files to subversion, and convert the
    original tree into a working copy)?</a><br/>
    The FAQ has moved, please see <a href="faq.html#in-place-import">faq.html#in-place-import</a>.</p>
</li> 
<li><p><a name="dumpload">What is this "dump/load cycle" people
    sometimes talk about when upgrading a Subversion server?</a><br/>
    The FAQ has moved, please see <a href="faq.html#dumpload">faq.html#dumpload</a>.</p>
</li>
<li><p><a name="sspi">How do I allow clients to authenticate against a
    Windows domain controller using SSPI authentication?</a><br/>
    The FAQ has moved, please see <a href="faq.html#sspi">faq.html#sspi</a>.</p>
</li>
<li><p><a name="adm-dir">I don't like the ".svn" directory name, and
    prefer "SVN" or something else.  How do I change it?</a><br/>
    The FAQ has moved, please see <a href="faq.html#adm-dir">faq.html#adm-dir</a>.</p>
</li>
<li><p><a name="case-change">How do I change the case of a filename?</a><br/>
    The FAQ has moved, please see <a href="faq.html#case-change">faq.html#case-change</a>.</p>
</li>
<li><p><a name="merge-using-tags">I can't use tags to merge changes from a 
    branch into the trunk like I used to with CVS, can I?</a><br/>
    The FAQ has moved, please see <a href="faq.html#merge-using-tags">faq.html#merge-using-tags</a>.</p>
</li>
<li><p><a name="version-value-in-source">Why doesn't the $Revision$
keyword do what I want?  It expands to the file's last-changed revision,
but I want something that will expand to the file's current revision.</a><br/>
    The FAQ has moved, please see <a href="faq.html#version-value-in-source">faq.html#version-value-in-source</a>.</p>
</li>
<li><p><a name="log-in-source">Does Subversion have a keyword which
behaves like $Log$ in CVS?</a><br/>
    The FAQ has moved, please see <a href="faq.html#log-in-source">faq.html#log-in-source</a>.</p>
</li>
<li><p><a name="ignore-commit">I have a file in my project that every
developer must change, but I don't want those local mods to ever be
committed.  How can I make 'svn commit' ignore the file?</a><br/>
    The FAQ has moved, please see <a href="faq.html#ignore-commit">faq.html#ignore-commit</a>.</p>
</li>
<li><p><a name="ssh-auth-cache">When I access a repository using
svn+ssh, my password is not cached in ~/.subversion/auth/.  How do
I avoid having to type it so often?</a><br/>
    The FAQ has moved, please see <a href="faq.html#ssh-auth-cache">faq.html#ssh-auth-cache</a>.</p>
</li>
<li><p><a name="auto-props">How can I set certain properties on
everything in the repository?  Also, how can I make sure that every
new file coming into the repository has these properties?</a><br/>
    The FAQ has moved, please see <a href="faq.html#auto-props">faq.html#auto-props</a>.</p>
</li>
<li><p><a name="divining-bdb-version">How do I determine which version of
Berkeley DB a repository is using?</a><br/>
    The FAQ has moved, please see <a href="faq.html#divining-bdb-version">faq.html#divining-bdb-version</a>.</p>
</li>
<li><p><a name="permissions"></a>
    <a name="stuck-bdb-repos">My repository seems to get stuck all the
time, giving me errors about needing recovery (DB_RUNRECOVERY).  What
could be the cause?</a><br/>
    The FAQ has moved, please see <a href="faq.html#permissions">faq.html#permissions</a>.</p>
</li>
<li><p><a name="wedged-repos"></a>
    <a name="bdb-recovery">Every time I try to access my repository, the
process just hangs. Is my repository corrupt?</a><br/>
    The FAQ has moved, please see <a href="faq.html#wedged-repos">faq.html#wedged-repos</a>.</p>
</li>
<li><p><a name="wedged-wc">Every time I try to run a svn command, it says my
working copy is locked. Is my working copy corrupt?</a><br/>
    The FAQ has moved, please see <a href="faq.html#wedged-wc">faq.html#wedged-wc</a>.</p>
</li>
<li><p><a name="wc-out-of-date">I'm trying to commit, but Subversion says my
working copy is out of date?</a><br/>
    The FAQ has moved, please see <a href="faq.html#wc-out-of-date">faq.html#wc-out-of-date</a>.</p>
</li>
<li><p><a name="unrecognized-url-error">I just built the distribution binary,
and when I try to check out Subversion, I get an error about an
"Unrecognized URL scheme."  What's up with that?</a><br/>
    The FAQ has moved, please see <a href="faq.html#unrecognized-url-error">faq.html#unrecognized-url-error</a>.</p>
</li>
<li><p><a name="db-recover">I'm getting errors finding or opening a repository,
    but I know my repository URL is correct.  What's wrong?</a><br/>
    The FAQ has moved, please see <a href="faq.html#db-recover">faq.html#db-recover</a>.</p>
</li> 
<li><p><a name="configure-sed-error">When I run `<tt>configure</tt>', I get errors about
<tt>subs-1.sed&nbsp;line&nbsp;38:&nbsp;Unterminated&nbsp;`s'&nbsp;command</tt>.
What's wrong?</a><br/>
    The FAQ has moved, please see <a href="faq.html#configure-sed-error">faq.html#configure-sed-error</a>.</p>
</li>
<li><p><a name="linux-bdb42-build">I'm having trouble building
    Subversion under *NIX with BerkeleyDB 4.2.x What should I do?</a><br/>
    The FAQ has moved, please see <a href="faq.html#linux-bdb42-build">faq.html#linux-bdb42-build</a>.</p>
</li>
<li><p><a name="windows-msvc-build">I'm having trouble building Subversion
under Windows with MSVC++ 6.0.  What should I do?</a><br/>
    The FAQ has moved, please see <a href="faq.html#windows-msvc-build">faq.html#windows-msvc-build</a>.</p>
</li>
<li><p><a name="windows-drive-letter">How can I specify a Windows drive letter in
a <tt>file:</tt> URL?</a><br/>
    The FAQ has moved, please see <a href="faq.html#windows-drive-letter">faq.html#windows-drive-letter</a>.</p>
</li>
<li><p><a name="vs-asp-net">VS.NET/ASP.NET seems to have a problem with
    the ".svn" directory name.  What should I do?</a><br/>
    The FAQ has moved, please see <a href="faq.html#vs-asp-net">faq.html#vs-asp-net</a>.</p>
</li>
<li><p><a name="write-over-dav">I'm having trouble doing write
    operations to a Subversion repository over a network.</a><br/>
    The FAQ has moved, please see <a href="faq.html#write-over-dav">faq.html#write-over-dav</a>.</p>
</li>
<li><p><a name="windows-xp-server">Under Windows XP, the Subversion server
    sometimes seems to send out corrupted data.  Can this really
    be happening?</a><br/>
    The FAQ has moved, please see <a href="faq.html#windows-xp-server">faq.html#windows-xp-server</a>.</p>
</li>
<li><p><a name="ethereal">What is the best method of doing a network
    trace of the conversation between a Subversion client and
    server?</a><br/>
    The FAQ has moved, please see <a href="faq.html#ethereal">faq.html#ethereal</a>.</p>
</li>
<li><p><a name="revert">Why does the <tt>svn revert</tt> require an
    explicit target?  Why is it not recursive by default?  These
    behaviors differ from almost all the other subcommands.</a><br/>
    The FAQ has moved, please see <a href="faq.html#revert">faq.html#revert</a>.</p>
</li>
<li><p><a name="db3db4">When I start Apache, mod_dav_svn complains about
    a "bad database version", that it found db-3.X, rather than
    db-4.X.</a><br/>
    The FAQ has moved, please see <a href="faq.html#db3db4">faq.html#db3db4</a>.</p>
</li>
<li><p><a name="redhat-db">I'm getting "Function not implemented" errors on RedHat
9, and nothing works.  How do I fix this?</a><br/>
    The FAQ has moved, please see <a href="faq.html#redhat-db">faq.html#redhat-db</a>.</p>
</li>
<li><p><a name="no-author">Why does SVN log say "(no author)" for files
    committed or imported via Apache (ra_dav)?</a><br/>
    The FAQ has moved, please see <a href="faq.html#no-author">faq.html#no-author</a>.</p>
</li>
<li><p><a name="windows-access-denied">I'm getting occasional "Access Denied"
errors on Windows.  They seem to happen at random.  Why?</a><br/>
    The FAQ has moved, please see <a href="faq.html#windows-access-denied">faq.html#windows-access-denied</a>.</p>
</li>
<li><p><a name="freebsd-hang">On FreeBSD, certain operations (especially
    svnadmin create) sometimes hang.  Why?</a><br/>
    The FAQ has moved, please see <a href="faq.html#freebsd-hang">faq.html#freebsd-hang</a>.</p>
</li>
<li><p><a name="301-error">I can see my repository in a web browser, but
    'svn checkout' gives me an error about "301 Moved Permanently".
    What's wrong?</a><br/>
    The FAQ has moved, please see <a href="faq.html#301-error">faq.html#301-error</a>.</p>
</li>
<li><p><a name="no-copy-history">I'm trying to look at an old version of my
    file, but svn says something about "path not found".  What's going
    on?</a><br/>
    The FAQ has moved, please see <a href="faq.html#no-copy-history">faq.html#no-copy-history</a>.</p>
</li>
<li><p><a name="digest-auth">Why doesn't HTTP Digest auth work?</a><br/>
    The FAQ has moved, please see <a href="faq.html#digest-auth">faq.html#digest-auth</a>.</p>
</li>
<li><p><a name="xlc-compile">Compiling with xlc on AIX, I get compilation
    errors.  What's wrong?</a><br/>
    The FAQ has moved, please see <a href="faq.html#xlc-compile">faq.html#xlc-compile</a>.</p>
</li>
<li><p><a name="nonrecursive-checkout">I checked out a directory non-recursively
    (with -N), and now I want to make certain subdirectories
    "appear".  But <tt>svn up subdir</tt> doesn't work.</a><br/>
    The FAQ has moved, please see <a href="faq.html#nonrecursive-checkout">faq.html#nonrecursive-checkout</a>.</p>
</li>
<li><p><a name="mod_dav_svn-win32">I am trying to use mod_dav_svn
    with Apache on Win32 and I'm getting an error saying that the 
    module cannot be found, yet the mod_dav_svn.so file is right 
    there in <tt>\Apache\modules.</tt></a><br/>
    The FAQ has moved, please see <a href="faq.html#mod_dav_svn-win32">faq.html#mod_dav_svn-win32</a>.</p>
</li>
<li><p><a name="hook-environment">Why aren't my repository hooks working?
    They're supposed to invoke external programs, but the invocations
    never seem to happen.</a><br/>
    The FAQ has moved, please see <a href="faq.html#hook-environment">faq.html#hook-environment</a>.</p>
</li>
<li><p><a name="diff-cmd">Why does my --diff-cmd complain about '-u'?
    I tried to override it with --extensions, but it's not working.</a><br/>
    The FAQ has moved, please see <a href="faq.html#diff-cmd">faq.html#diff-cmd</a>.</p>
</li>
<li><p><a name="plaintext-passwords">Ahhh!  I just discovered that my
    Subversion client is caching passwords in plain-text on disk!
    AHHH!</a><br/>
    The FAQ has moved, please see <a href="faq.html#plaintext-passwords">faq.html#plaintext-passwords</a>.</p>
</li>
<li><p><a name="bdb41-tabletype-bug">I'm getting the error "svn: bdb: call
    implies an access method which is inconsistent with previous
    calls". How do I fix this?</a><br/>
    The FAQ has moved, please see <a href="faq.html#bdb41-tabletype-bug">faq.html#bdb41-tabletype-bug</a>.</p>
</li>
<li><p><a name="hotcopy-large-repos">I can't hotbackup my repository,
    svnadmin fails on files larger than 2Gb!</a><br/>
    The FAQ has moved, please see <a href="faq.html#hotcopy-large-repos">faq.html#hotcopy-large-repos</a>.</p>
</li>
<li><p><a name="hidden-log">I cannot see the log entry for the file
    I just committed.  Why?</a><br/>
    The FAQ has moved, please see <a href="faq.html#hidden-log">faq.html#hidden-log</a>.</p>
</li>
<li><p><a name="ramdisk-tests">How do I run the regression tests in a
    ram disk?</a><br/>
    The FAQ has moved, please see <a href="faq.html#ramdisk-tests">faq.html#ramdisk-tests</a>.</p>
</li>
<li><p><a name="http-methods">What are all the HTTP methods Subversion
    uses?</a><br/>
    The FAQ has moved, please see <a href="faq.html#http-methods">faq.html#http-methods</a>.</p>
</li>
<li><p><a name="bikeshed">What's a 'bikeshed'?</a><br/>
    The FAQ has moved, please see <a href="faq.html#bikeshed">faq.html#bikeshed</a>.</p>
</li>
<li><p><a name="baton">What's a 'baton'?</a><br/>
    The FAQ has moved, please see <a href="faq.html#baton">faq.html#baton</a>.</p>
</li>
<li><p><a name="def-wedged-repository">What do you mean when you say that
    repository is 'wedged'?</a><br/>
    The FAQ has moved, please see <a href="faq.html#def-wedged-repository">faq.html#def-wedged-repository</a>.</p>
</li>
</ul>

</div>
</body>
</html>
